Skip to main content
POST
Register webhook

Body

application/json

POST /v1/projects/{project_id}/webhooks

url
string
required

HTTPS URL for webhook delivery (must pass SSRF validation)

events
string[]
required

Event types to subscribe to. See the canonical catalog in the docs.

Minimum array length: 1
secret
string | null

HMAC-SHA256 signing secret (min 16 chars). Omit to have the server mint one.

Required string length: 16 - 128
description
string | null

Optional human-readable label shown on the dashboard.

Maximum string length: 200

Response

Webhook registered - secret shown once

Webhook subscription representation.

secret is set only on the create + rotate-secret responses; list, get, and patch responses omit it.

webhook_id
string
required
project_id
string
required
url
string
required
events
string[]
required
active
boolean
default:true
description
string | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
disabled_at
string<date-time> | null
disabled_reason
string | null
last_delivered_at
string<date-time> | null
last_error
string | null
consecutive_failures
integer
default:0
secret
string | null